|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QTreeWidget

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QTreeWidget class reference

### Public Functions

- bool isItemExpanded ( const QTreeWidgetItem * item ) const `(obsolete)`
- bool isItemHidden ( const QTreeWidgetItem * item ) const `(obsolete)`
- bool isItemSelected ( const QTreeWidgetItem * item ) const `(obsolete)`
- void setItemExpanded ( const QTreeWidgetItem * item, bool expand ) `(obsolete)`
- void setItemHidden ( const QTreeWidgetItem * item, bool hide ) `(obsolete)`
- void setItemSelected ( const QTreeWidgetItem * item, bool select ) `(obsolete)`

- 3 public functions inherited from QWidget

### Protected Functions

- QList<QTreeWidgetItem *> items ( const QMimeData * data ) const `(obsolete)`

- 4 protected functions inherited from QAbstractItemView
- 2 protected functions inherited from QWidget

## Member Function Documentation

### bool QTreeWidget::isItemExpanded ( const QTreeWidgetItem * item ) const

Returns true if the given item is open; otherwise returns false.

This function is deprecated. Use QTreeWidgetItem::isExpanded() instead.

See also itemExpanded().

### bool QTreeWidget::isItemHidden ( const QTreeWidgetItem * item ) const

Returns true if the item is explicitly hidden, otherwise returns false.

This function is deprecated. Use QTreeWidgetItem::isHidden() instead.

### bool QTreeWidget::isItemSelected ( const QTreeWidgetItem * item ) const

Returns true if the item is selected; otherwise returns false.

This function is deprecated. Use QTreeWidgetItem::isSelected() instead.

See also itemSelectionChanged().

### QList<QTreeWidgetItem *> QTreeWidget::items ( const QMimeData * data ) const `[protected]`

Returns an empty list

See also mimeData().

### void QTreeWidget::setItemExpanded ( const QTreeWidgetItem * item, bool expand )

Sets the item referred to by item to either closed or opened, depending on the value of expand.

This function is deprecated. Use QTreeWidgetItem::setExpanded() instead.

See also expandItem(), collapseItem(), and itemExpanded().

### void QTreeWidget::setItemHidden ( const QTreeWidgetItem * item, bool hide )

Hides the given item if hide is true; otherwise shows the item.

This function is deprecated. Use QTreeWidgetItem::setHidden() instead.

See also isItemHidden() and itemChanged().

### void QTreeWidget::setItemSelected ( const QTreeWidgetItem * item, bool select )

If select is true, the given item is selected; otherwise it is deselected.

This function is deprecated. Use QTreeWidgetItem::setSelected() instead.

See also isItemSelected() and itemSelectionChanged().